summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRick Farina <zerochaos@gentoo.org>2019-04-08 20:19:14 -0400
committerRick Farina <zerochaos@gentoo.org>2019-04-08 20:19:14 -0400
commitf55057f23fa5baba6243842564dd391d6e2b1237 (patch)
tree483e0724b0f18b99878050170462daf645002138 /net-wireless
parentx11-libs/cairo: arm64 stable (bug #672908) (diff)
downloadgentoo-f55057f23fa5baba6243842564dd391d6e2b1237.tar.gz
gentoo-f55057f23fa5baba6243842564dd391d6e2b1237.tar.bz2
gentoo-f55057f23fa5baba6243842564dd391d6e2b1237.zip
net-wireless/kismet: bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Rick Farina <zerochaos@gentoo.org>
Diffstat (limited to 'net-wireless')
-rw-r--r--net-wireless/kismet/Manifest1
-rw-r--r--net-wireless/kismet/kismet-2019.04.1.ebuild120
2 files changed, 121 insertions, 0 deletions
diff --git a/net-wireless/kismet/Manifest b/net-wireless/kismet/Manifest
index 2e98cbd22de..2fdf6654580 100644
--- a/net-wireless/kismet/Manifest
+++ b/net-wireless/kismet/Manifest
@@ -1,3 +1,4 @@
DIST kismet-2016-07-R1.tar.xz 709364 BLAKE2B 5b667a02b517bd413d569f40df1f2a2e1158357c602fa807d712870543a7fade25077f449c07c023ad1d2150870352aa754484846d8c2a0d9f027113bb57c1fc SHA512 88891a0cd5ef94a4815d259e433f946f52552c125e05a5d8ac447d04e6090f2bd92f8bd8573440f0dfe446b29233bef81d9889e53170757ad0116ddfc2cb8416
DIST kismet-2018-08-BETA1.tar.xz 2043136 BLAKE2B f24af4250bb0238073380514413d9501e449cf40507d7a96ac868d76acb34af81b9bf4a49c9b6197b6b903ab33e2318bb5efa22876cc2070e3878ebf030d592c SHA512 09eab9d648f011c95b8632c666990d79f9998465b051a65357f53af19a135a5d58df3025ec60f9ef9a7b7d9b5622d2332bb2defbffd21ca0e25e2e4090ceae2f
DIST kismet-2019-01-BETA2.tar.xz 3096084 BLAKE2B 77f0497721bb1a6c2af2dd91b5d2a895fae0012ccb7a9cf03a700c96562a5ae62530b1138f509df5f0af91362a9658eae7916a9c643cef6e1630fe616d949017 SHA512 1384630ea0ba12c157928696aab502406c5e521765e420459ab049e3205e7d7bfb472c6a1a88c1268fd8235b24b615a03ce4b91f0974adc24f47d00709ef9d4b
+DIST kismet-2019-04-R1.tar.xz 3038632 BLAKE2B e304085806d5e0b77c8421969b1c3dea608b70124559dcd5f133c1823f0228e6caeddf3cf775a6ccea7604265b2227df045cefcfdf803a4f69bf682b9b531f9d SHA512 26f3ab038e76ab06d461dc73e44cde6944f6f550a615081588a238154c95ab4684adec5436c31761a716e081f994435840b7f4e7e95b75d83c9da89114b33ab4
diff --git a/net-wireless/kismet/kismet-2019.04.1.ebuild b/net-wireless/kismet/kismet-2019.04.1.ebuild
new file mode 100644
index 00000000000..ad9c0fbeb6c
--- /dev/null
+++ b/net-wireless/kismet/kismet-2019.04.1.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools eutils multilib user python-single-r1
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://www.kismetwireless.net/git/${PN}.git"
+ inherit git-r3
+ RESTRICT="strip"
+else
+ MY_P=${P/\./-}
+ MY_P=${MY_P/_beta/-BETA}
+ MY_P=${MY_P/./-R}
+ S=${WORKDIR}/${MY_P/BETA/beta}
+ SRC_URI="https://www.kismetwireless.net/code/${MY_P}.tar.xz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+fi
+
+DESCRIPTION="IEEE 802.11 wireless LAN sniffer"
+HOMEPAGE="https://www.kismetwireless.net"
+
+LICENSE="GPL-2"
+SLOT="0/${PV}"
+IUSE="lm_sensors mousejack networkmanager +pcre selinux +suid"
+
+CDEPEND="
+ ${PYTHON_DEPS}
+ networkmanager? ( net-misc/networkmanager:= )
+ dev-libs/glib:=
+ dev-libs/elfutils:=
+ sys-libs/zlib:=
+ dev-db/sqlite:=
+ net-libs/libmicrohttpd
+ kernel_linux? ( sys-libs/libcap
+ dev-libs/libnl:3
+ net-libs/libpcap
+ )
+ mousejack? ( dev-libs/libusb:= )
+ dev-libs/protobuf-c:=
+ dev-libs/protobuf:=
+ sys-libs/ncurses:=
+ lm_sensors? ( sys-apps/lm_sensors )
+ pcre? ( dev-libs/libpcre )
+ suid? ( sys-libs/libcap )
+ "
+
+DEPEND="${CDEPEND}
+ virtual/pkgconfig
+"
+
+RDEPEND="${CDEPEND}
+ selinux? ( sec-policy/selinux-kismet )
+"
+
+src_prepare() {
+ sed -i -e "s:^\(logtemplate\)=\(.*\):\1=/tmp/\2:" \
+ conf/kismet_logging.conf || die
+
+ # Don't strip and set correct mangrp
+ sed -i -e 's| -s||g' \
+ -e 's|@mangrp@|root|g' Makefile.in
+
+ eapply_user
+
+ #just use set to fix setup.py
+ find . -name "Makefile.in" -exec sed -i 's#setup.py install#setup.py install --root=$(DESTDIR)#' {} + || die
+ find . -name "Makefile" -exec sed -i 's#setup.py install#setup.py install --root=$(DESTDIR)#' {} + || die
+
+ if [ "${PV}" = "9999" ]; then
+ eautoreconf
+ fi
+}
+
+src_configure() {
+ econf \
+ $(use_enable pcre) \
+ $(use_enable lm_sensors lmsensors) \
+ $(use_enable mousejack libusb) \
+ $(use_enable networkmanager libnm) \
+ --disable-optimization
+}
+
+src_install() {
+ emake DESTDIR="${D}" commoninstall
+ emake DESTDIR="${D}" forceconfigs
+
+ insinto /usr/share/${PN}
+ doins Makefile.inc
+
+ #dodoc CHANGELOG RELEASENOTES.txt README* docs/DEVEL.client docs/README.newcore
+ dodoc CHANGELOG README*
+ newinitd "${FILESDIR}"/${PN}.initd kismet
+ newconfd "${FILESDIR}"/${PN}.confd kismet
+}
+
+pkg_preinst() {
+ if use suid; then
+ enewgroup kismet
+ fowners root:kismet /usr/bin/kismet_cap_linux_bluetooth
+ fowners root:kismet /usr/bin/kismet_cap_linux_wifi
+ fowners root:kismet /usr/bin/kismet_cap_pcapfile
+ # Need to set the permissions after chowning.
+ # See chown(2)
+ fperms 4550 /usr/bin/kismet_cap_linux_bluetooth
+ fperms 4550 /usr/bin/kismet_cap_linux_wifi
+ fperms 4550 /usr/bin/kismet_cap_pcapfile
+ elog "Kismet has been installed with a setuid-root helper binary"
+ elog "to enable minimal-root operation. Users need to be part of"
+ elog "the 'kismet' group to perform captures from physical devices."
+ fi
+ if ! use suid; then
+ ewarn "It is highly discouraged to run a sniffer as root,"
+ ewarn "Please consider enabling the suid use flag and adding"
+ ewarn "your user to the kismet group."
+ fi
+}